%define module_name	slicoss

%define kversion	2.4.26
%define krelease	alt6
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: 1.2.0
Release: alt8.6

Summary: Alacritech network card drivers
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools >= 0.7

BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-source-%module_name
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: kernel-modules-%module_name

%description
This package contains Alacritech nic drivers for the linux kernel

%prep

rm -rf %module_name-%version
%__tar -zxvf %kernel_src/%module_name-%version.tgz

%setup -D -T -n %module_name-%version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

%make_install CC=gcc SRCTREE=%_includedir/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot/%module_dir
%__install -p -m644 %module_name.o %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt8.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt7.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt6.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt5.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt4.6
- Fixed %%module_name, %%module_dir definitions.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 1.2.0-alt3.6
- imported to ALT Linux CVS

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.2.0-alt3
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 1.2.0-alt2
- rebuilt with 2.4.21-alt22

* Thu Aug 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.2.0-alt1
- Initial release

